#pragma once
#include <map>
struct M_ActiveTurntableData
{
	//ID
	int mID;
	//转盘中用于客户端显示奖励道具
	std::string mShowAwardItemIDs;
	//礼包ID
	int mGiftPackageID;
};

class M_ActiveTurntable
{
public:
private:
	static std::auto_ptr<M_ActiveTurntable> msSingleton;
public:
	int GetCount();
	const M_ActiveTurntableData* GetData(int ID);
	const std::map<int, M_ActiveTurntableData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActiveTurntable* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActiveTurntableData> mMapData;
};
